<?php
// This file is part of mod_datalynx for Moodle - http://moodle.org/
//
// It is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// It is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 *
 * @package datalynxfield
 * @subpackage userinfo
 * @copyright 2013 onwards edulabs.org and associated programmers
 * @copyright based on the work by 2012 Itamar Tzadok
 * @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
defined('MOODLE_INTERNAL') || die();

require_once("$CFG->dirroot/mod/datalynx/field/field_form.php");

class datalynxfield_userinfo_form extends datalynxfield_form {

    /**
     */
    public function field_definition() {
        global $DB;

        $mform = &$this->_form;

        $mform->addElement('header', 'fieldattributeshdr',
                get_string('fieldattributes', 'datalynx'));

        // Info field.
        $options = $DB->get_records_menu('user_info_field', array(), 'shortname', 'id,shortname');
        $options = array('' => get_string('choosedots')) + $options;
        $mform->addElement('select', "param1", get_string('infofield', 'datalynxfield_userinfo'), $options);

        // Allow field to be edited by manager and owning user.
        $mform->addElement('advcheckbox', 'param6', get_string('infofield_editable', 'datalynxfield_userinfo'));
        $mform->addHelpButton('param6', 'infofield_editable', 'datalynxfield_userinfo');

        // Entry can not be safed with empty userinfo field.
        $mform->addElement('advcheckbox', 'param7', get_string('infofield_mandatory', 'datalynxfield_userinfo'));
        $mform->addHelpButton('param7', 'infofield_mandatory', 'datalynxfield_userinfo');

    }
}
